<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('tblCalMethod', function (Blueprint $table) {
            $table->string('MethodName', 50);
            $table->string('MethodDescription', 100)->nullable();
            $table->string('ConsType', 6);
            $table->char('tID', 3);
            
            $table->primary('tID');
            $table->foreign('ConsType')->references('tID')->on('tblConsType');
        });
    }

    public function down()
    {
        Schema::dropIfExists('tblCalMethod');
    }
};